#! /usr/bin/make -f

export PYBUILD_NAME=ppft
%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}; {interpreter} -m examples" dh_auto_test

	# Prevents package-installs-python-pycache-dir Lintian smell
	rm -Rf examples/__pycache__
